
*********************************************************.
*syntax to score the KINDL oncology module*
*aggregates item-responses into sum scores*
*sum scores were transformed into values 0-100*
*0 denotes the worst possible response pattern*
*100 denotes the best possible response pattern*
*********************************************************.





******************Skala Krper****************.


RECODE
  c_onk01a c_onk02a c_onk03a c_onk04a
  (1=5)  (2=4)  (3=3)  (4=2)  (5=1)  INTO  c_onk01ar  c_onk02ar c_onk03ar c_onk04ar .
EXECUTE .

RECODE
  c_onk01b c_onk02b c_onk03b c_onk04b
  (1=3)  (2=2)  (3=1)   INTO  c_onk01br  c_onk02br c_onk03br c_onk04br .
EXECUTE .


COMPUTE K_koerper_a = (((MEAN.3(c_onk01ar,  c_onk02ar, c_onk03ar, c_onk04ar ) - 1) / 4) * 100) .
EXECUTE .

COMPUTE K_koerper_b = (((MEAN.3(c_onk01br,  c_onk02br, c_onk03br, c_onk04br ) - 1) / 2) * 100) .
EXECUTE .



******************Skala Mental Health****************.


RECODE
  c_onk_05 c_onk_06 c_onk_07 c_onk_08
  (1=5)  (2=4)  (3=3)  (4=2)  (5=1)  INTO    c_onk_05r c_onk_06r c_onk_07r c_onk_08r .
EXECUTE .

COMPUTE K_mental = (((MEAN.3(c_onk_05r, c_onk_06r, c_onk_07r, c_onk_08r) - 1) / 4) * 100) .
EXECUTE .




******************Skala Social****************.


COMPUTE K_social = (((MEAN.4(c_onk_09, c_onk_10, c_onk_11, c_onk_12, c_onk_13) - 1) / 4) * 100) .
EXECUTE .






******************Skala Medical Treatment****************.


RECODE
  c_onk31a c_onk32a c_onk33a c_onk34a c_onk35a c_onk36a c_onk37a c_onk38a c_onk39a c_onk40a c_onk41a
  (1=5)  (2=4)  (3=3)  (4=2)  (5=1)  INTO    c_onk31ar c_onk32ar c_onk33ar c_onk34ar c_onk35ar c_onk36ar c_onk37ar c_onk38ar c_onk39ar c_onk40ar c_onk41ar .
EXECUTE .

RECODE
  c_onk31b c_onk32b c_onk33b c_onk34b c_onk35b c_onk36b c_onk37b c_onk38b c_onk39b c_onk40b c_onk41b
  (1=3)  (2=2)  (3=1)   INTO   c_onk31br c_onk32br c_onk33br c_onk34br c_onk35br c_onk36br c_onk37br c_onk38br c_onk39br c_onk40br c_onk41br .
EXECUTE .




COMPUTE K_treatm_a = (((MEAN.7(c_onk31ar, c_onk32ar, c_onk33ar, c_onk34ar, c_onk35ar, c_onk36ar, c_onk37ar, c_onk38ar, c_onk39ar, c_onk40ar, c_onk41ar ) - 1) / 4) * 100) .
EXECUTE .

COMPUTE K_treatm_b = (((MEAN.7(c_onk31br, c_onk32br, c_onk33br, c_onk34br, c_onk35br, c_onk36br, c_onk37br, c_onk38br, c_onk39br, c_onk40br, c_onk41br ) - 1) / 2) * 100) .
EXECUTE .

